#version 330

uniform sampler2D sampler;

smooth in vec2 texCoord;
flat in vec4 colorPart;

out vec4 color;

void main()
{
	  vec4 texColor = texture2D(sampler, texCoord);
	  color = vec4(texColor.xyz, 1.0)*colorPart;
}